package com.brilliance.isc.swift.objmtconvert.model.mt2xx.tag.tag203;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt2xx.MT203Creator;

/**
 * @author huangmengyuan
 * @create 2023/2/27
 */
public class Tag52aCreator extends AbsTagCreate {
    private MT203Creator mt203Creator;

    public Tag52aCreator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        this.mt203Creator = (MT203Creator) absMTCreator;
    }

    @Override
    public void creator() {
        handlerBicAdrCreator(mt203Creator,"actnoBicAdr52a");
    }

}
